/*
 * Copyright 2020-2025 Yuntu Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 * 
 * @file interrupt_config.c
 * @brief 
 * 
 */


#include <stddef.h>
#include "interrupt_config.h"


void INT_SYS_ConfigInit(void)
{
    INT_SYS_DisableIRQGlobal();
    /* lpTMR0_IRQn(8) lpTMR0_IRQHandler*/
    INT_SYS_SetPriority(lpTMR0_IRQn,0);
    INT_SYS_EnableIRQ(lpTMR0_IRQn);
    /* pTMR0_IRQn(20) pTMR0_IRQHandler*/
    INT_SYS_SetPriority(pTMR0_IRQn,0);
    INT_SYS_EnableIRQ(pTMR0_IRQn);
    /* UART0_IRQn(31) UART0_IRQHandler*/
    INT_SYS_SetPriority(UART0_IRQn,0);
    INT_SYS_EnableIRQ(UART0_IRQn);
    INT_SYS_EnableIRQGlobal();
}

